AbstractPromiseFactory (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.async.factory
[Java] Class AbstractPromiseFactory

    java.lang.Object
      org.grails.async.factory.AbstractPromiseFactory

All Implemented Interfaces:
  PromiseFactory

    public abstract class AbstractPromiseFactory
    extends java.lang.Object

Abstract implementation of the PromiseFactory interface, subclasses should extend this class to obtain common generic functionality

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`protected java.util.Collection` | `lookupStrategies`

Method Summary
`void` | `addPromiseDecoratorLookupStrategy(PromiseDecoratorLookupStrategy lookupStrategy)`
`groovy.lang.Closure` | `applyDecorators(groovy.lang.Closure c, java.util.List decorators)`
`Promise` | `createBoundPromise(java.lang.Object value)`
`Promise` | `createPromise(groovy.lang.Closure c, java.util.List decorators)` @see PromiseFactory#createPromise(groovy.lang.Closure, java.util.List)
`Promise` | `createPromise(java.util.List closures)` @see PromiseFactory#createPromise(java.util.List)
`Promise` | `createPromise(java.util.List closures, java.util.List decorators)` @see PromiseFactory#createPromise(java.util.List, java.util.List)
`Promise` | `createPromise(Promise... promises)` @see PromiseFactory#createPromise(grails.async.Promise[])
`Promise` | `createPromise(java.util.Map map)` @see PromiseFactory#createPromise(java.util.Map)
`java.util.List` | `waitAll(Promise... promises)` @see PromiseFactory#waitAll(grails.async.Promise[])

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### lookupStrategies

    protected java.util.Collection lookupStrategies

Method Detail

### addPromiseDecoratorLookupStrategy

    public void addPromiseDecoratorLookupStrategy(PromiseDecoratorLookupStrategy lookupStrategy)

### applyDecorators

    @java.lang.SuppressWarnings({ "rawtypes", "unchecked" })
    public groovy.lang.Closure applyDecorators(groovy.lang.Closure c, java.util.List decorators)

### createBoundPromise

    public Promise createBoundPromise(java.lang.Object value)

### createPromise

    @java.lang.SuppressWarnings("unchecked")
    public Promise createPromise(groovy.lang.Closure c, java.util.List decorators)

  See Also:
    PromiseFactory#createPromise(groovy.lang.Closure, java.util.List)

### createPromise

    public Promise createPromise(java.util.List closures)

  See Also:
    PromiseFactory#createPromise(java.util.List)

### createPromise

    @java.lang.SuppressWarnings("unchecked")
    public Promise createPromise(java.util.List closures, java.util.List decorators)

  See Also:
    PromiseFactory#createPromise(java.util.List, java.util.List)

### createPromise

    public Promise createPromise(Promise... promises)

  See Also:
    PromiseFactory#createPromise(grails.async.Promise[])

### createPromise

    @java.lang.SuppressWarnings("unchecked")
    public Promise createPromise(java.util.Map map)

  See Also:
    PromiseFactory#createPromise(java.util.Map)

### waitAll

    public java.util.List waitAll(Promise... promises)

  See Also:
    PromiseFactory#waitAll(grails.async.Promise[])

Groovy Documentation